Subject: Re: pasting a password

From: Chong Yidong <[email-masked]>
Date: Sun, 16 Nov 2008 18:37:19 -0500

Stefan Monnier <[email-masked]> writes:

> How 'bout using a completely different approach: setup a display-table
> so that all chars get displayed as *, or else (so that the prompt can
> be displayed properly) use an after-change-function to add a `display'
> (or composition) property.  I.e. use normal editing, and only cause
> the display to use *.

That would allow you to copy the contents of the password prompt.  My
understanding is that most applications don't allow that (if you
accidentally leave the terminal without pressing enter, someone would be
able to copy what you've typed, paste it somewhere else, and view it in
cleartext).